Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI: CVE-2017-13089: Security patch for wget (ALAS-2017-916)

Back to Search

Amazon Linux AMI: CVE-2017-13089: Security patch for wget (ALAS-2017-916)

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
10/26/2017
Created
07/25/2018
Added
10/27/2017
Modified
05/07/2019

Description

The http.c:skip_short_body() function is called in some circumstances, such as when processing redirects. When the response is sent chunked in wget before 1.19.2, the chunk parser uses strtol() to read each chunk's length, but doesn't check that the chunk length is a non-negative number. The code then tries to skip the chunk in pieces of 512 bytes by using the MIN() macro, but ends up passing the negative chunk length to connect.c:fd_read(). As fd_read() takes an int argument, the high 32 bits of the chunk length are discarded, leaving fd_read() with a completely attacker controlled length argument.

Solution(s)

  • amazon-linux-upgrade-wget

References

  • amazon-linux-upgrade-wget

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;